unit TwainReg;

interface

uses Classes, CustomTwain, sysutils, windows;

type
  TTwain = class(TCustomTwain)
  published
    property Resolution; // DPI-value default 200
    property PixelType; // TScannPixelType
    property Brightness; // 0 .. 255  default 127
    property Contrast; // 0 .. 255  default 127
    property FromFeeder; // Boolean default false
    property Duplex; // Boolean default false
    property PaperSize; // TPaperSize
    property ShowUI; // Boolean default false
    property Shadow; // 0 .. 255 default 0
    property HighLight; // 0 .. 255 default 255
    property OnBeforScan;
    property OnAfterScan;
  end;
const
  PixelTypeStr: array[TScanPixelType] of string = ('S/W', 'Grau', 'Farbe');
  //  PixelTypeStr: array[TScanPixelType] of string = ('B/W', 'Gray', 'Color');
  PaperSizeStr: array[TPaperSize] of string = ('Benutzerdefiniert', 'A3', 'A4', 'A5', 'US-Letter');
  //  PaperSizeStr: array[TPaperSize] of string = ('Custom', 'A3', 'A4', 'A5', 'US-Letter');
procedure Register;

implementation

//{$R TwainReg.dcr}

procedure Register;
begin
  if SysLocale.PriLangID = LANG_GERMAN then
    RegisterComponents('Beispiele', [TTwain])
  else
    RegisterComponents('Samples', [TTwain]);
end;
end.

