unit SelectTwain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, inifiles, ExtCtrls, TWAINH, registry;

type
  TFSelectTWAIN = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    Button2: TButton;
    Copyright: TLabel;
    Version: TLabel;
    Model: TLabel;
    procedure FormDestroy(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public

  end;

implementation

{$R *.DFM}

procedure TFSelectTWAIN.FormDestroy(Sender: TObject);
begin
  with ListBox1.Items do
    while Count > 0 do
    begin
      Dispose(Pointer(Objects[0]));
      Delete(0)
    end;
end;

procedure TFSelectTWAIN.ListBox1Click(Sender: TObject);
var
  DE: TW_IDENTITY;
begin
  with ListBox1, Items do
    if ItemIndex > -1 then
    try
      Button1.Enabled := True;
      DE := pTW_IDENTITY(Pointer(Objects[ItemIndex]))^;
      Version.Caption := Format('Version %d.%d (%s) ' ,[DE.Version.MajorNum, DE.Version.MinorNum,DE.Version.Info]);
      Copyright.Caption := 'Copyright: ' + DE.Manufacturer;
      Model.Caption := 'Model: ' + DE.ProductFamily;
      Self.Tag := DE.Id;
    except
    end
    else
      Button1.Enabled := False;
end;

procedure TFSelectTWAIN.ListBox1DblClick(Sender: TObject);
begin
  if ListBox1.ItemIndex > -1 then
    ModalResult := mrOk;
end;

procedure TFSelectTWAIN.FormActivate(Sender: TObject);
begin
  if (ListBox1.Items.Count > 0) and (listbox1.ItemIndex = -1) then
    listbox1.ItemIndex := 0;
  ListBox1Click(Sender);
end;

procedure TFSelectTWAIN.FormCreate(Sender: TObject);
begin
  if SysLocale.PriLangID <> LANG_GERMAN then
    Caption := 'Select Scaner'
end;

end.

